#! /bin/sh
#
# Author: Xie Zhen
# Editor: Sasha Vaniachine <vaniachine@anl.gov>
# 
# download from:
# download source tar file from:
# http://www.mysql.com/downloads/download.php?file=Downloads/mysql++/mysql++-1.7.9.tar.gz
# 
# download 3 patches for gcc-3 from URL: 
# http://www.mysql.com/downloads/api-mysql++.html
# 
# all sources are in /afs/cern.ch/sw/lcg/external/mysql++/1.7.9/sources
#

#source /afs/cern.ch/sw/lcg/external/scripts/use-gcc.sh 3

export CFLAGS="-O3" 
export CXX="/usr/local/gcc-alt-3.2/bin/c++"
export CXXFLAGS="-O3 -fexceptions"
export CC="/usr/local/gcc-alt-3.2/bin/gcc"

export MYSQL_VERSION=4.0.13
export BUILD_VERSION=rh73_gcc32

mkdir -p /afs/cern.ch/sw/lcg/external/mysql++/1.7.9_mysql.${MYSQL_VERSION}/$BUILD_VERSION

mkdir -p /afs/cern.ch/sw/lcg/external/mysql++/1.7.9_mysql.${MYSQL_VERSION}/$BUILD_VERSION_build

cd /afs/cern.ch/sw/lcg/external/mysql++/1.7.9_mysql.${MYSQL_VERSION}/$BUILD_VERSION_build

rm -rf mysql++-1.7.9
tar xvfz /afs/cern.ch/sw/lcg/external/mysql++/1.7.9/sources/mysql++-1.7.9.tar.gz
cd mysql++-1.7.9

ln -s /afs/cern.ch/sw/lcg/external/mysql++/1.7.9/sources/mysql++-gcc-3.0.patch
ln -s /afs/cern.ch/sw/lcg/external/mysql++/1.7.9/sources/mysql++-gcc-3.2.patch
ln -s /afs/cern.ch/sw/lcg/external/mysql++/1.7.9/sources/mysql++-gcc-3.2.2.patch

patch -p1<mysql++-gcc-3.0.patch
patch -p1<mysql++-gcc-3.2.patch
patch -p1<mysql++-gcc-3.2.2.patch

diff configure.in /afs/cern.ch/sw/lcg/external/mysql++/1.7.9/sources/configure.in
cp -p /afs/cern.ch/sw/lcg/external/mysql++/1.7.9/sources/configure.in .
automake
autoconf

mkdir -p /afs/cern.ch/sw/lcg/external/mysql++/1.7.9_mysql.${MYSQL_VERSION}/$BUILD_VERSION

./configure --enable-shared \
--prefix=/afs/cern.ch/sw/lcg/external/mysql++/1.7.9_mysql.${MYSQL_VERSION}/$BUILD_VERSION \
--with-mysql=/afs/cern.ch/sw/lcg/external/mysql/${MYSQL_VERSION}/$BUILD_VERSION

make
make install

